<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__tx__power__result__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_tx_power_result_t</compoundname>
    <includes local="no">wiced_bt_dev.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__tx__power__result__t_1a630c3aa060987a921b484458ed3ef356" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_tx_power_result_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>Status of the operation. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="58" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="58" />
      </memberdef>
      <memberdef id="structwiced__bt__tx__power__result__t_1a5eb8b36dda8a6a6d2b98a3036d016832" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_tx_power_result_t::hci_status</definition>
        <argsstring />
        <name>hci_status</name>
        <briefdescription>
<para>Status from controller (Refer Spec 5.0 Vol 2 Part D Error Codes) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="59" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="59" />
      </memberdef>
      <memberdef id="structwiced__bt__tx__power__result__t_1aa48e71a910f6e2863bb0ad0299b7ab96" kind="variable" mutable="no" prot="public" static="no">
        <type>int8_t</type>
        <definition>int8_t wiced_bt_tx_power_result_t::tx_power</definition>
        <argsstring />
        <name>tx_power</name>
        <briefdescription>
<para>TX power in dB. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="60" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="60" />
      </memberdef>
      <memberdef id="structwiced__bt__tx__power__result__t_1a3074d71d1d02c33baa8824d64edf165c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
        <definition>wiced_bt_device_address_t wiced_bt_tx_power_result_t::rem_bda</definition>
        <argsstring />
        <name>rem_bda</name>
        <briefdescription>
<para>Remote BD address. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="61" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="61" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>TX Power Result (in response to <ref kindref="member" refid="group__wicedbt__utility_1ga48a580210a970a52c39fca816ccfd0d7">wiced_bt_dev_read_tx_power</ref>) </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="62" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="56" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="57" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__tx__power__result__t_1a5eb8b36dda8a6a6d2b98a3036d016832" virt="non-virtual"><scope>wiced_bt_tx_power_result_t</scope><name>hci_status</name></member>
      <member prot="public" refid="structwiced__bt__tx__power__result__t_1a3074d71d1d02c33baa8824d64edf165c" virt="non-virtual"><scope>wiced_bt_tx_power_result_t</scope><name>rem_bda</name></member>
      <member prot="public" refid="structwiced__bt__tx__power__result__t_1a630c3aa060987a921b484458ed3ef356" virt="non-virtual"><scope>wiced_bt_tx_power_result_t</scope><name>status</name></member>
      <member prot="public" refid="structwiced__bt__tx__power__result__t_1aa48e71a910f6e2863bb0ad0299b7ab96" virt="non-virtual"><scope>wiced_bt_tx_power_result_t</scope><name>tx_power</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>